LCONST (jakarta-bcel 5.1 API)
Keywords: org.apache.bcel.generic.LCONST,LCONST class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class LCONST

    java.lang.Object
      |
      +--org.apache.bcel.generic.Instruction
            |
            +--org.apache.bcel.generic.LCONST

All Implemented Interfaces:
  java.lang.Cloneable, ConstantPushInstruction, PushInstruction, java.io.Serializable, StackProducer, TypedInstruction

public class LCONST
extends Instruction
implements ConstantPushInstruction, TypedInstruction

LCONST - Push 0 or 1, other values cause an exception

    Stack: ... -> ...,

Version:
  $Id: LCONST.java,v 1.3 2002/08/07 18:01:32 mdahm Exp $
Author:
  M. Dahm
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`LCONST(long l)`

Method Summary
`void` | `accept(Visitor v)` Call corresponding visitor method(s).
`Type` | `getType(ConstantPoolGen cp)`
`java.lang.Number` | `getValue()`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, dump, equals, getComparator, getLength, getName, getOpcode, initFromFile, produceStack, readInstruction, setComparator, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.bcel.generic.StackProducer
`produceStack`

Constructor Detail

### LCONST

    public LCONST(long l)

Method Detail

### getValue

    public java.lang.Number getValue()

  Specified by:
    `getValue` in interface `ConstantPushInstruction`

### getType

    public Type getType(ConstantPoolGen cp)

  Specified by:
    `getType` in interface `TypedInstruction`
  Returns:
    Type.LONG

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.